Data.Attoparsec.ByteString

# Differences from Parsec

# Incremental input

# Performance considerations

# Parser types

type Parser

type Result

data IResult i r

compareResults

# Running parsers

parse

feed

parseOnly

parseWith

parseTest

## Result conversion

maybeResult

eitherResult

# Parsing individual bytes

word8

anyWord8

notWord8

satisfy

satisfyWith

skip

## Lookahead

peekWord8

peekWord8'

## Byte classes

inClass

notInClass

# Efficient string handling

string

skipWhile

take

scan

takeWhile

takeWhile1

takeTill

## Consume all remaining input

takeByteString

takeLazyByteString

# Combinators

try

(<?>)

choice

count

option

many'

many1

many1'

manyTill

manyTill'

sepBy

sepBy'

sepBy1

sepBy1'

skipMany

skipMany1

eitherP

match

# State observation and manipulation functions

endOfInput

atEnd